<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin for datatype email.
 * @package    datafield_email
 * @copyright  2024 Stephan Robotta (stephan.robotta@bfh.ch)
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$plugin->version   = 2024101100;        // The current plugin version (Date: YYYYMMDDXX).
$plugin->requires  = 2022112808;        // Requires this Moodle version (4.1).
$plugin->component = 'datafield_email'; // Full name of the plugin (used for diagnostics).
$plugin->release   = '1.4';             // Readable version of this plugin.
$plugin->maturity  = MATURITY_STABLE;   // Maturity of this plugin.
$plugin->supported = [401, 405];
